package com.chenyang.nse.bussiness.entity.orm.table.core.mappletxml;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_RULE_KEYSTRINFO"
)
public class TCoreRulEKeyStrInfo extends TBaseEntity implements Serializable {
   private String portid;
   private String seedvalue;
   private String maskFormat;
   private String filterSourceCharacters;
   private String filterSourceOption;
   private String sourceCharacters;
   private String filterTargetCharacters;
   private String filterTargetOption;
   private String targetCharacters;

   public String getMaskFormat() {
      return this.maskFormat;
   }

   public void setMaskFormat(String maskFormat) {
      this.maskFormat = maskFormat;
   }

   public String getFilterSourceCharacters() {
      return this.filterSourceCharacters;
   }

   public void setFilterSourceCharacters(String filterSourceCharacters) {
      this.filterSourceCharacters = filterSourceCharacters;
   }

   public String getFilterSourceOption() {
      return this.filterSourceOption;
   }

   public void setFilterSourceOption(String filterSourceOption) {
      this.filterSourceOption = filterSourceOption;
   }

   public String getSourceCharacters() {
      return this.sourceCharacters;
   }

   public void setSourceCharacters(String sourceCharacters) {
      this.sourceCharacters = sourceCharacters;
   }

   public String getFilterTargetCharacters() {
      return this.filterTargetCharacters;
   }

   public void setFilterTargetCharacters(String filterTargetCharacters) {
      this.filterTargetCharacters = filterTargetCharacters;
   }

   public String getFilterTargetOption() {
      return this.filterTargetOption;
   }

   public void setFilterTargetOption(String filterTargetOption) {
      this.filterTargetOption = filterTargetOption;
   }

   public String getTargetCharacters() {
      return this.targetCharacters;
   }

   public void setTargetCharacters(String targetCharacters) {
      this.targetCharacters = targetCharacters;
   }

   public String getPortid() {
      return this.portid;
   }

   public void setPortid(String portid) {
      this.portid = portid;
   }

   public String getSeedvalue() {
      return this.seedvalue;
   }

   public void setSeedvalue(String seedvalue) {
      this.seedvalue = seedvalue;
   }
}
